const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({signature: '<string>', callbackUrl: '<string>'})
};
fetch('https://api.valox.co/api/v1/ibans/monerium-profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://api.valox.co/api/v1/ibans/monerium-profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"signature": "<string>",
"callbackUrl": "<string>"
}
'import requests
url = "https://api.valox.co/api/v1/ibans/monerium-profile"
payload = {
"signature": "<string>",
"callbackUrl": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.valox.co/api/v1/ibans/monerium-profile"
payload := strings.NewReader("{\n \"signature\": \"<string>\",\n \"callbackUrl\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.valox.co/api/v1/ibans/monerium-profile")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"signature\": \"<string>\",\n \"callbackUrl\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.valox.co/api/v1/ibans/monerium-profile")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"signature\": \"<string>\",\n \"callbackUrl\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"success": true
}
}{
"message": "<string>"
}{
"errors": {
"redirectUrl": "<string>",
"message": "<string>"
}
}{
"error": "Internal server error"
}Create a new Monerium profile
This endpoint attempts to create a new Monerium profile for the authenticated user. If the user already has a Monerium profile, it will return a redirect URL for the OAuth flow to link the existing profile.
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({signature: '<string>', callbackUrl: '<string>'})
};
fetch('https://api.valox.co/api/v1/ibans/monerium-profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://api.valox.co/api/v1/ibans/monerium-profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"signature": "<string>",
"callbackUrl": "<string>"
}
'import requests
url = "https://api.valox.co/api/v1/ibans/monerium-profile"
payload = {
"signature": "<string>",
"callbackUrl": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.valox.co/api/v1/ibans/monerium-profile"
payload := strings.NewReader("{\n \"signature\": \"<string>\",\n \"callbackUrl\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.valox.co/api/v1/ibans/monerium-profile")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"signature\": \"<string>\",\n \"callbackUrl\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.valox.co/api/v1/ibans/monerium-profile")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"signature\": \"<string>\",\n \"callbackUrl\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"success": true
}
}{
"message": "<string>"
}{
"errors": {
"redirectUrl": "<string>",
"message": "<string>"
}
}{
"error": "Internal server error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Signature of the message "I hereby declare that I am the address owner." This signature is created by signing the message with the user's wallet. The exact message can be retrieved from the /api/v1/ibans/signing-message endpoint. The signature is used to verify ownership of the address on Monerium. Format: Ethereum signature string (e.g., "0x1234...").
Optional URL to redirect the user to after the OAuth flow is completed. This is used when the user already has a Monerium account that needs to be linked. If not provided, a default redirect URL will be used.
Response
Successfully created a new Monerium profile
Show child attributes
Show child attributes

